import java.util.Observer;
import java.util.Observable;

public class realiser_un_transfert implements Observer {
	private Vue vue;	
	private Model model;

	public realiser_un_transfert( Vue vue, Model model ){
		this.vue = vue;
		this.model = model;
	}
	@Override
	public void update(Observable o, Object arg){ 
		try{
			int transfert = ((Transfert) arg).argent;
			this.model.add_argent( transfert );
			int solde = this.model.get_solde();
			this.vue.change_solde( solde );
			this.vue.display_message(
				"Un transfert de " + (new Integer(transfert)).toString() + " a été réalisé sur votre compte"
			);
		}catch( solde_negatif_erreur e ){
			this.vue.display_message(
				"Vous ne pouvez pas retire plus d'argent que vous n'avez pas."
			);
		}
	}
}
